# queue.py

""" Up2date queue API module.

Copyright (c) 2003 Hunter Matthews    Distributed under GPL.

For details on the exact API, what each method expects and what it returns,
please see the rhn_api.txt file.

"""

import xmlrpclib
import pprint

import auth
import config
from logger import *


# Special array of exported functionality. 
# Idea stolen from up2date/getMethod.py
__current_api__ = [
    'get',
    'submit',
    ]


def get(sysid_string, action_version, client_status):

    # Authorize the client
    si = auth.SysId(sysid_string)   
    (valid, reason) = si.isValid()
    if not valid:
        return xmlrpclib.Fault(1000, reason)

    action = {}   # we don't have full backend support yet
                  # an empty dict means "no action for this client"

    return action
    
            
def submit(sysid_string, action_id, status, message, data):

    # Authorize the client
    si = auth.SysId(sysid_string)   
    (valid, reason) = si.isValid()
    if not valid:
        return xmlrpclib.Fault(1000, reason)

    # we don't have full backend support yet
    # the client throws this value away, anyway
    return 0
    

## END OF LINE ##    
